<?php
	
	//---------------------------------------------------------------------------------------------------------
	// 08/Octubre/2014
	// Versión 1.0 Cargamos los datos necesarios en la web para mostrar el resultado de una búsqueda
	// OjO, recibimos el nombre del escaparate
	//---------------------------------------------------------------------------------------------------------
	$sentencia_sql = '';
	//Búsqueda sencilla
	$txt_busqueda = trim(str_replace('-', ' ', Sections::getParam('txt_busqueda')));
	//$txt_busqueda = trim(str_replace('-', ' ', Sections::$params->txt_busqueda));
	//Vamos a preparar el filtrado:
	$filtrado_actual = Sections::getParam('filtro');
	//$filtrado_actual = Sections::$params->filtro;

	if ($txt_busqueda != ''){
		$txt_busqueda = trim(str_replace(',', ' ', $txt_busqueda));
		$txt_busqueda = trim(str_replace('.', ' ', $txt_busqueda));
		$opciones = new OpcionesWidget(array(
			'busqueda_simple' => $txt_busqueda,
			'filtrado_actual' => $filtrado_actual
		));
		//Vamos a hacer la búsqueda
		$busqueda_actual = new Busqueda($opciones);
	}else{
		$cadena_url = '';
		//Búsqueda avanzada
		//-- AUTOR --
		$autor = Sections::getParam('autor');
		if ($autor != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'autor/' . $autor;
		}
		$autor = trim(str_replace('-', ' ', $autor));
		//$autor = trim(str_replace('-', ' ', Sections::$params->autor));
		$autor = trim(str_replace(',', ' ', $autor));
		$autor = trim(str_replace('.', ' ', $autor));
		//-- MARCA --
		$marca = Sections::getParam('marca');
		if ($marca != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'marca/' . $marca;
		}
		$marca = trim(str_replace('-', ' ', $marca));
		//$marca = trim(str_replace('-', ' ', Sections::$params->marca));
		$marca = trim(str_replace(',', ' ', $marca));
		$marca = trim(str_replace('.', ' ', $marca));
		
		//Se va a usar preferiblemente Autor:
		$autor = ($autor == '') ? $marca : $autor;
		//-- EDITORIAL --
		$editorial = Sections::getParam('editorial');
		if ($editorial != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'editorial/' . $editorial;
		}
		$editorial = trim(str_replace('-', ' ', $editorial));
		//$editorial = trim(str_replace('-', ' ', Sections::$params->editorial));
		$editorial = trim(str_replace(',', ' ', $editorial));
		$editorial = trim(str_replace('.', ' ', $editorial));
		//-- FABRICANTE --
		$fabricante = Sections::getParam('fabricante');
		if ($fabricante != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'fabricante/' . $fabricante;
		}
		$fabricante = trim(str_replace('-', ' ', $fabricante));
		//$fabricante = trim(str_replace('-', ' ', Sections::$params->fabricante));
		$fabricante = trim(str_replace(',', ' ', $fabricante));
		$fabricante = trim(str_replace('.', ' ', $fabricante));
		
		//Se va a usar preferiblemente Editorial:
		$editorial = ($editorial == '') ? $fabricante : $editorial;
		//-- TITULO --
		$titulo = Sections::getParam('titulo');
		if ($titulo != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'titulo/' . $titulo;
		}
		$titulo = trim(str_replace('-', ' ', $titulo));
		//$titulo = trim(str_replace('-', ' ', Sections::$params->titulo));
		$titulo = trim(str_replace(',', ' ', $titulo));
		$titulo = trim(str_replace('.', ' ', $titulo));
		
		//echo $titulo;
		$nombre = Sections::getParam('nombre');
		if ($nombre != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'nombre/' . $nombre;
		}
		$nombre = trim(str_replace('-', ' ', $nombre));
		//$nombre = trim(str_replace('-', ' ', Sections::$params->nombre));
		$nombre = trim(str_replace(',', ' ', $nombre));
		$nombre = trim(str_replace('.', ' ', $nombre));
		
		//Se va a usar preferiblemente EL TÍTULO:
		$titulo = ($titulo == '') ? $nombre : $titulo;
		//-- ISBN --
		$isbn = trim(Sections::getParam('isbn'));
		if ($isbn != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'isbn/' . $isbn;
		}
		//$isbn = trim(Sections::$params->isbn);
		$categoria = Sections::getParam('categoria');
		if ($categoria != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'categoria/' . $categoria;
		}
		$categoria = trim(str_replace('-', ' ', $categoria));
		//$categoria = trim(str_replace('-', ' ', Sections::$params->categoria));
		$categoria = trim(str_replace(',', ' ', $categoria));
		$categoria = trim(str_replace('.', ' ', $categoria));
		
		//-- COLECCION --
			//Pedro 17/Septiembre/2019 ==> La coleccion puede venir como:
				// -un nombre ==> Hacemos una búsqueda normal:
		$nombreColeccion = Sections::getParam('nombre_coleccion');
		if ($nombreColeccion != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'nombre_coleccion/' . $nombreColeccion;
		}
		$nombreColeccion = trim(str_replace('-', ' ', $nombreColeccion));
		//$nombreColeccion = trim(str_replace('-', ' ', Sections::$params->nombreColeccion));
		$nombreColeccion = trim(str_replace(',', ' ', $nombreColeccion));
		$nombreColeccion = trim(str_replace('.', ' ', $nombreColeccion));
		
				// -La colección en sí (el nombre completo para que vaya bien el SEO
		$nombreRealColeccion = Sections::getParam('coleccion');
		if ($nombreRealColeccion != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'coleccion/' . $nombreRealColeccion;
		}
		//Limpiamos el nombre real de la coleccion
		$busqueda = array('-', ' ', ',', '.');
		$nombreRealColeccion = trim(str_replace($busqueda, '_', $nombreRealColeccion));
		
		
		//-- EAN - CODIGO DE BARRAS --
		$ean = trim(Sections::getParam('ean'));
		if ($ean != ''){
			$cadena_url .= (($cadena_url!='')?'/':'') . 'ean/' . $autor;
		}
		//$ean = Sections::$params->ean;
		//Componemos las opciones del widget:
		$opciones = new OpcionesWidget(array(
			'autor' => $autor,
			'editorial' => $editorial,
			'titulo' => $titulo,
			'isbn' => $isbn,
			'categoria' => $categoria,
			'ean' => $ean,
			'nombre_coleccion' => $nombreColeccion,
			'nombreRealColeccion' => $nombreRealColeccion,
			'filtrado_actual' => $filtrado_actual
		));
		$busqueda_actual = new Busqueda($opciones);
		//Vamos a montar la url:
		//Si estamos con un fabricante es así:
		$busqueda_actual->url = Shop::$configuracion->url . $cadena_url;
		
	}

	//Para insertar el escaparate necesitamos la página
	$pagina = Sections::getParam('pagina', 0);
	$busqueda_actual->carga_articulos($pagina, 0);

	//Vamos a asignar los datos seo
	$descripcion_web = $busqueda_actual->descripcion_seo;
	$keywords_web = $busqueda_actual->keywords_seo;
	$title_web = $busqueda_actual->title_seo;

	//Limpiamos el último escaparate visitado
	Sections::setParam('busqueda_actual', $busqueda_actual);
	//Sections::$params->busqueda_actual = $busqueda_actual;
	Sesion::remove('ultimo_escaparate_visitado');
?>